#!/bin/bash

#set -e
set -vx

echo -e "*****************************\n* Checkout mec_devel sources\n*****************************\n"
mkdir -p ${HOME}/dev && cd ${HOME}/dev || exit 1

git clone --recurse-submodules --branch devel https://forge.etsi.org/rep/mec/gs032p3-ttcn-test-suite.git mec_devel
cd ${HOME}/dev/mec_devel/titan-test-system-framework
git checkout devel
cd ${HOME}/dev/mec_devel/ttcn
git clone https://forge.etsi.org/gitlab/LIBS/LibCommon.git ./LibCommon

echo -e "*****************************\n* Set up environment\n*****************************\n"
cd ${HOME}/dev/mec_devel/scripts
ln -sf ${HOME}/dev/mec_devel/scripts/devenv.bash.ubuntu ${HOME}/devenv.bash
. ${HOME}/devenv.bash

echo -e "*****************************\n* Apply patched \n*****************************\n"
cd ${HOME}/dev/mec_devel
cp ./ttcn/patch_lib_common_titan/module.mk ./ttcn/LibCommon/
cp ./ttcn/patch_lib_common_titan/ttcn/*.ttcn ./ttcn/LibCommon/ttcn

echo -e "*****************************\n* Build Mec test suite\n*****************************\n"
cd ${HOME}/dev/mec_devel
export ATS_LIST="AtsMec_Location AtsMec_Rnis AtsMec_TrafficManagement AtsMec_UEidentity AtsMec_WlanInformation AtsMec_V2XInformationService"
for i in ${ATS_LIST}
do
    export ATS=$i
    make || exit 1
done
rm -fr ./build || exit 1

cd ./etc/AtsMec_Location
ln -sf AtsMec_Sandbox.cf_ AtsMec_Location.cfg

echo -e "*****************************\n* Change sudo in command line\n*****************************\n"
cd ${HOME}/dev/mec_devel/scripts
sed --in-place 's/sudo/echo "etsi" \| sudo -S/' ./run_mtc.bash
sed --in-place 's/sudo/echo "etsi" \| sudo -S/' ./run_ptcs.bash

cd ${HOME}/dev/mec_devel
